Search
Introduction
CKYC Distributor Search can be used by the platform to check if the end user is present on the CKYC repository. The platform can access the download ONLY if the customer is present with the repository.
CKYC Search can be undertaken using one of the IDs.
- PAN
- Aadhaar
You will need to login before sending request. You are required to pass the access token received from the login call, as authorization header.
Use the following exchange parameters for CKYC Number Search Request
Sample Curl
curl --location --request POST 'https://api.signzy.app/api/v3/ckyc/distributor/fetch' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
"ckycNumber": "",
"insurerId":"",
"authFactorType": "",
"authFactorValue": ""
}'Request Parameters
PARAMETER NAME | DESCRIPTION | REQUIRED |
|---|---|---|
idNumber | ID Number for searching CKYC Number.Please refer section 2 for it's format. | Mandatory |
insurerId/partnerId | Unique identifier for the insurer | Mandatory |
idType | The Id Type used for searching ckyc number.Please refer section 3 for it's Valid Values. | Mandatory |
Sample Response
{
"result": {
"result": {
"ckycNumber": "...ckycnumber..."
}
}
}Response Parameters
Parameter | Description |
|---|---|
result | The main object containing the result of the CKYC search. |
result.ckycNumber | The CKYC number associated with the searched end user. The last four digits are masked with 'x' for security reasons. |
ID Number Format
The format for the ID number is dependent on the type of ID selected. The following sections explain the ID number format for the supported ID types.
For ID Type Aadhaar (A)
- The format for ID Number for ID Type Aadhaar (A) must be ID Value | Name | Date | Gender
- The name cannot exceed 150 characters.
- The format for Date must be DD-MM-YYYY. For ex. 01-01-2001
- Valid Values for Gender are M, F and T.
- The ID value is the last 4 digits of the UID number.
- For example. if the Id type is Aadhaar (A) then ID number will be in this format XXXX | FirstName SecondName | DD-MM-YYYY | G
For ID Type Pan (P)
- The format for ID Number for ID Type Pan (P) must be ID Value
- The ID Value will be the complete pan number.
- For example, if the Id type is Pan (P) then ID number will be in this format XXXXXXXXXX
List of Supported ID Types
ID TYPE | DESCRIPTION |
|---|---|
A | Aadhaar (Last 4 UID Number) |
P | Pan Number |
Error Codes
PARAMETER NAME | DESCRIPTION |
|---|---|
400 | Invalid ID number format |
409 | CONFLICT |